#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<><><><><><><>         Header         <><><><><><><>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#

pcl_file = "Prokoban.pcl";
response_matching = simple_matching;
default_font_size = 20;
default_font = "Arial";

active_buttons = 11;
#Mapping: 1 = up, 2 = left, 3 = down, 4 = right.
#			 5 = space
#			11 = up(up)			12 = left(up)
#			13 = down(up)		14 = right(up)
#			20 = u(undo)		21 = u(up)
#			A redo function is not yet implemented.		 
button_codes = 1, 2, 3, 4, 10, 11, 12, 13, 14, 20, 21;






#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<><><><><><><>          SDL           <><><><><><><>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#

begin;

#Spielfeld definieren.
box { height =  24; width =  24; color =   0,  0,  0; } black;
box { height =  24; width =  24; color =  50, 50, 50; } wall;
box { height =  24; width =  24; color =  20,100,180; } target;
line_graphic {
	polygon_coordinates = 0, -11, 11, 0, -11, 0, 0, 11;
	fill_color = 120, 10,180;
	line_color = 120, 70,180;
   line_width = 2;
}start;
line_graphic {
	polygon_coordinates = 0, -11, 11, 0, 0, 11, -11, 0;
	fill_color = 20, 10,180;
	line_color = 20, 70,180;
   line_width = 2;
}diamond;



#***************************************************#
#*************         Stimuli         *************#
#***************************************************#

#Main Menu.
text { caption = "Prokoban"; } Prokoban;
text { caption = "(c) Roland Pfister\nroland_pfister@t-online.de"; } Email;
text { caption = "0"; } nmoves_text;
text { caption = "lvl"; } level_text;
box { height = 24; width = 24; color = 20,100,180; } Ladebox;


#Main Menu
picture { text { caption = " "; } nlevels_text;     x = 50; y = 60;
		    text { caption = " "; } levelnumber_text; x = 50; y = 155;
} MainMenu;
#Spielfeld.
picture { } Spielfeld;


#Main Menu.
trial {
	#trial_duration = forever;
	trial_duration = stimuli_length;
   trial_type = specific_response;
   terminator_button = 5;  
   all_responses = true;
	
	picture MainMenu;
	
} main_menu;

#Spiel.
trial {
	trial_duration = forever;
   trial_type = first_response;
   #terminator_button = 5;  
   all_responses = true;
	
	picture Spielfeld;
	
} spiel;

#Feedback.
trial {
	trial_duration = forever;
   trial_type = specific_response;
   terminator_button = 5;  
   all_responses = true;
	
	picture {
		text Prokoban; x = 0; y = 200;
		text Prokoban; x = 0; y = -200;
		text Prokoban; x = 120; y = 200;
		text Prokoban; x = 120; y = -200;
		text Prokoban; x = -120; y = 200;
		text Prokoban; x = -120; y = -200;
		text Prokoban; x = 240; y = 200;
		text Prokoban; x = 240; y = -200;
		text Prokoban; x = -240; y = 200;
		text Prokoban; x = -240; y = -200;
		text Prokoban; x = 360; y = 200;
		text Prokoban; x = 360; y = -200;
		text Prokoban; x = -360; y = 200;
		text Prokoban; x = -360; y = -200;
		text Prokoban; x = 480; y = 200;
		text Prokoban; x = 480; y = -200;
		text Prokoban; x = -480; y = 200;
		text Prokoban; x = -480; y = -200;
		text Prokoban; x = 600; y = 200;
		text Prokoban; x = 600; y = -200;
		text Prokoban; x = -600; y = 200;
		text Prokoban; x = -600; y = -200;
		text {caption = " ";} feedback_text;  x = 0; y = 40;
		text {caption = " ";} feedback_text2; x = 0; y =-40;};
} feedback;